Download it now!
Bug 117231 - There is no way to suppress Writer inserting blank pages to make page No. 1 a right-hand page when editing a document
Summary: There is no way to suppress Writer inserting blank pages to make page No. 1 a...
Status: UNCONFIRMED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 128626 (view as bug list)
Depends on:
Blocks: Page-View
  Show dependency treegraph
 
Reported: 2018-04-25 12:38 UTC by A.Holtsmark
Modified: 2020-09-25 23:08 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Test document which should be possible to view with pages marked "left" to the left and pages marked "right" to the right. (33.82 KB, application/vnd.oasis.opendocument.text)
2018-05-15 20:23 UTC, A.Holtsmark
Details
Screenshots of described behaviour (87.05 KB, image/png)
2020-06-02 11:25 UTC, A.Holtsmark
Details
Screenshots of described behaviour (105.12 KB, image/png)
2020-06-02 11:26 UTC, A.Holtsmark
Details
Screenshots of described behaviour (80.44 KB, image/png)
2020-06-02 11:27 UTC, A.Holtsmark
Details

Note You need to log in before you can comment on or make changes to this bug.
Description A.Holtsmark 2018-04-25 12:38:50 UTC
Description:
When working in "book mode" (edit>view>zoom>"zoom and view layout"), libre office writer will insert blank pages to make page No. 1 a right-hand page. Documentation like operational manuals often have complex page numbering like "CHAPTER.SUBCHAPTER-PAGENUMBER", where page number is reset to 1 with every new sub-chapter (This allows for easy insertion or removal of pages during the lifetime of the product without affecting the page numbering of the whole document). In this type of document, having auto-inserted blank pages every 4 or 5 pages overly inflates the document. The problem can be overcome by not using book mode, but this makes editing the document a hassle.
Adding a pre-checked check-box for "auto insert blank pages to make page No.1 a right-hand page" would solve this issue without affecting the default behavior of the program.   

Steps to Reproduce:
1: Create new document in writer
2: Goto edit>view>zoom>"zoom and view layout
3: Select "Columns:" [2]
4: Check "book mode"
5: first page is now a right-hand page
6: Add some text
7: Insert manual break > page break / Style: default style / "Change page number": 1
 

Actual Results:  
A blank page is inserted, and the cursor has moved to a new right-hand page 

Expected Results:
Given an option to uncheck a new check-box for "auto insert blank pages to make page No.1 a right-hand page", no blank page would be inserted, and the cursor would move to a new left-hand page with page numbering No. 1


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:59.0) Gecko/20100101 Firefox/59.0
Comment 1 Dieter 2018-04-25 17:02:35 UTC
(In reply to A.Holtsmark from comment #0)
> 7: Insert manual break > page break / Style: default style / "Change page
> number": 1

Sorry, but the meaning of the step "change page number": 1 is not lear to me. What shall I do?
Comment 2 A.Holtsmark 2018-04-25 20:57:15 UTC
Click Insert->Manual Break 
This brings up menu "Insert Break"
Select Type: "Page break"
Select Style: "Default Style"
Check checkbox "Change Page Number"
Set "Page number" to "1" (Default)

Seeing that the first page in the document is a right-hand page, Writer will insert a blank page so that the new page after the page break also becomes a right-hand page.
This is good in normal books, but there are other document types where this assumption is incorrect. It should be possible to avoid these blank pages being inserted.
Comment 3 Dieter 2018-04-26 07:51:01 UTC
(In reply to A.Holtsmark from comment #2)
> This is good in normal books, but there are other document types where this
> assumption is incorrect. It should be possible to avoid these blank pages
> being inserted.

Buit this is the book mode. If you create other document types you should use the normal view. I don't think that there are books, where you find an odd page number on the left side.
Comment 4 A.Holtsmark 2018-04-26 08:21:35 UTC
The problem is that when writing the document with two pages visible at the same time, using book mode is the only way to get writer to display the document with left- and right-hand pages correctly positioned on the screen. Writer acheives this by putting the first page in the document to the right and leaving an empty space to the left of it.
This means that all other viewing modes will put what in print will become the right-hand page to the left and the left hand page of the next page pair to the right. This makes formatting any document that will be printed in book-form (as in a pile of paper connected on one side), but which does not follow the convention of page nr. 1 to the right, very difficult.

As explained earlier: Our technical documentation uses a more complex page numbering consisting of CHAPTER.SUBCHAPTER-PAGENUMBER. Each new SUBCHAPTER starts with PAGENUMBER = 1. 

This must be so, so that inserting a new page somewhere in the middle of document will not result in all further pages of the document having to be replaced only because all page numbers must increase by 1. 

Since sunbhapters are only a few pages long, this means that, with the current situation, there will be very many blank pages inserted. 


Our current work-around is not to use "book mode", to view two pages at a time, and to add an empty page in front of the document. This empty page must then be deleted every time we wish to print the document, and this carries the risk of screwing up the formatting of the whole document.

The basic problem here is one of assuming that EVERYBODY that writes a document that will be printed and bound into book form will ALWAYS want a page No. 1 to be a right-hand page. I am trying to convey the information that this assumption is incorrect for some types of documents.

I have found some very old threads lamenting over this problem, but have not been able to find an open bug/enhancement-report
Comment 5 Dieter 2018-04-26 09:07:09 UTC
(In reply to A.Holtsmark from comment #4)

> The basic problem here is one of assuming that EVERYBODY that writes a
> document that will be printed and bound into book form will ALWAYS want a
> page No. 1 to be a right-hand page.

So if you have a book with chapter-subchapter-pagenumber, it is common, that pagenumber 1 is on the left?

In fact, the setting is more general: if you insert a page break that starts with an uneven page number, a blank page is added on the left.
Comment 6 A.Holtsmark 2018-04-26 09:27:49 UTC
Chances are 50-50. In our documentation, we do not AIM to have a page No. 1 being on the left, it is the result of the length of the last sub-chapter.

An alternate solution would be to have the option of putting the first page of the document to the right even if the document is not viewed in "book mode" This could be a simple check-box, and it would leave the auto-insertion of blank pages alone.
Comment 7 Heiko Tietze 2018-05-08 09:46:08 UTC
Stuart, Cor, what do you think?
Comment 8 Cor Nouws 2018-05-15 17:58:09 UTC
Hi A.Holtsmark,

Thanks for bringing up the issue here.
What is the effect of Tools > Options > Writer > Printing ... "Print automatically inserted blank pages" for your case?

It does not change the situation on the screen (in book mode) but leaves out the blank pages in printing, so ..?

Cor
Comment 9 A.Holtsmark 2018-05-15 19:41:38 UTC
"What is the effect of Tools > Options > Writer > Printing ... "Print automatically inserted blank pages" for your case?"

-This setting is of little relevance.
It does not affect the way the document reacts to viewing settings, and it changes nothing to the pdf export. I could not try printing right now, but I assume that the setting will work as published there.

My problem is one of editing, not printing.
I need to edit the document with left- and right-hand pages displayed properly next to each other on the screen (for example, left page often contains a screenshot, while the right-hand page explains the contents of the screenshot).

In all other viewing modes but "book mode", writer swaps left with right (due displaying the first page on the left hand side), and in "book mode" I get all the auto-generated blank pages pushed in whenever the numbering starts at 1 for what should be a left-hand page.

The only way to work around this is to add an empty page in front of page 1, view it in not "book mode", and delete this page before printing or exporting to pdf. 
Doing this risks destroying the formatting throughout the document when the page is removed (although it should not).
Comment 10 A.Holtsmark 2018-05-15 20:23:50 UTC
Created attachment 142121 [details]
Test document which should be possible to view with pages marked "left" to the left and pages marked "right" to the right.
Comment 11 Cor Nouws 2018-05-16 08:16:15 UTC
(In reply to A.Holtsmark from comment #9)
> "What is the effect of Tools > Options > Writer > Printing ... "Print
> automatically inserted blank pages" for your case?"
> 
> -This setting is of little relevance.
> It does not affect the way the document reacts to viewing settings, and it

correct, that is what I wrote.

> changes nothing to the pdf export. 

There is the same option in PDF export.

> My problem is one of editing, not printing.

You also wrote that it is a problem that in published documents, too many pages needs to be replaced because of this option influencing page numbering..
So that is confusing.

But the request is to have an option to not have the automatic inserted blank pages, with as consequence that in a printed book at one moment right pages have odd numbers, and at another position even numbers?
Comment 12 A.Holtsmark 2018-05-16 13:29:13 UTC
(In reply to Cor Nouws from comment #11)
> (In reply to A.Holtsmark from comment #9)
> > "What is the effect of Tools > Options > Writer > Printing ... "Print
> > automatically inserted blank pages" for your case?"

Hi Cor,
I ran the test on the test-document that I posted albove.
When editing in "Book mode", un-checking "Print automatically inserted blank pages" results in blank pages not being printed. This remains irrelevant since I can not create the document in a sensible fashion. 

> > 
> > -This setting is of little relevance.
> > It does not affect the way the document reacts to viewing settings, and it
> 
> correct, that is what I wrote.
> 
> > changes nothing to the pdf export. 
> 
> There is the same option in PDF export.
I looked, but could not find such a setting. This does not imply that this setting does not exist. However, this too is irrelevant to my problem.



> > My problem is one of editing, not printing.
> 
> You also wrote that it is a problem that in published documents, too many
> pages needs to be replaced because of this option influencing page
> numbering..
> So that is confusing.

The problem that I have is that I would end up with a document that has 50% to 100% more pages than necessary due to auto-inserted blank pages. As thing stand now, there is already too little space in the portable ring-binder that should hold the document. Unchecking the printing option reduces the number of printed pages, but it does not let me view the document properly while editing.

> But the request is to have an option to not have the automatic inserted
> blank pages, with as consequence that in a printed book at one moment right
> pages have odd numbers, and at another position even numbers?

The basic issue is that to view the document correctly with left hand page to the left and right hand page to the right, writer must put the first page to the right. Writer only does this in "book mode", but then it inserts blank pages all through the document. The issue can be solved in two ways:
1: make it possible to suppress the auto-insertion of blank pages in book mode.
2: make it possible to position the first page to the right outside of book mode. 
Both solutions could be selected over a simple checkbox in the appropriate menu. 
Please play around with the document I uploaded and see if you can get it to view correctly. I can only acheive this be de-selecting book-mode and adding a blank page in front of the first page. 

I am sorry about needing so much text to explain the problem, but it was not easy to find and understand the underlying issue, and it is not an obvious bug.
Comment 13 Regina Henschel 2018-05-16 14:50:41 UTC
(In reply to A.Holtsmark from comment #0)
> Description:
> When working in "book mode" (edit>view>zoom>"zoom and view layout"), libre
> office writer will insert blank pages to make page No. 1 a right-hand page.
> Documentation like operational manuals often have complex page numbering
> like "CHAPTER.SUBCHAPTER-PAGENUMBER", where page number is reset to 1 with
> every new sub-chapter (This allows for easy insertion or removal of pages
> during the lifetime of the product without affecting the page numbering of
> the whole document). In this type of document, having auto-inserted blank
> pages every 4 or 5 pages overly inflates the document.

If you do not want the automatic "odd pages right", you have to use different settings in the page styles. The settings "right and left" and "mirrored" have the automatic "odd pages right". But you can set "only left" and "only right". These put the content left and right respectively regardless of the page number.
You will likely need a first page style (without footer), a left page style and a right page style. To get an automatic change between right and left, you set "Next style" reciprocally.

Shortcoming of such left-right-alternating is, that when inserting a page break you need to know whether the new page will be a right or left one to choose the correct style in the dialog. And you will have to change page breaks, if you later on notice, that you have to add a further page in between.

For me this is a "works for me".
Comment 14 A.Holtsmark 2018-05-16 16:20:38 UTC
Thank you for this informative post.
I will give it a try later today, but it sounds like it might work.

HOWEVER, it will probably not work well in my very specific case.
I ported the whole document from Word to Writer due to the complex page numbering scheme I needed to use.
-I have page styles for chapter levels 1 to 3. This results in 3 page styles
-For each of these, I have page styles for whether this page contains information that is authority approved or not, making it 6 styles.
-Then we had to change from national to European certification authority, making it 12 styles.
-Finally, for each time the document is edited, there is a new date in the footer (a part of the page change tracking), adding another set of 12 styles each time. So far, we have managed to get away with 4 edits. This yields 48 page styles within the document. Now, If I must split each style into a left-hand and a right-hand style, I will have to manage 96 page styles within this single document. I fear that the cure will be worse than the disease.

Therefore: While I accept that the solution mentioned above may be a/the correct solution to this issue, I fear that unless one of the two fixes I mentioned above is implemented, I will be stuck with my current workaround.

PS: MS Word choked completely on this numbering scheme. Before porting I had to open the Word document in Writer and re-save as .doc in order to maker Word open the document without choking. It is definitely not a common type of document.
Comment 15 Regina Henschel 2018-05-16 16:48:39 UTC
For adapting content in the header/footer please have a look at the various Fields. For you especially those, which input content from the standard and from the user fields of the document properties, might be of interest. Please consult the Writer Guide and ask on mailing list or forum in case you need help with all these advanced features of LibreOffice.
Comment 16 QA Administrators 2018-12-03 13:13:49 UTC Comment hidden (obsolete)
Comment 17 QA Administrators 2019-01-11 15:26:21 UTC Comment hidden (obsolete)
Comment 18 Heiko Tietze 2019-11-07 11:00:03 UTC
*** Bug 128626 has been marked as a duplicate of this bug. ***
Comment 19 sdc.blanco 2020-02-07 21:38:12 UTC
- Setting to Unconfirmed, because QA-admin closed for insufficient.

(In reply to A.Holtsmark from comment #9)
> My problem is one of editing, not printing.
 - Modified summary in attempt to highlight the OP
 - did not change "page No. 1", but actually the behavior happens any time a page number is reset, where the value of current page number is odd and the value of the next page number is also odd.
Comment 20 Dieter 2020-02-08 06:26:20 UTC
(In reply to Regina Henschel from comment #13)

> If you do not want the automatic "odd pages right", you have to use
> different settings in the page styles. The settings "right and left" and
> "mirrored" have the automatic "odd pages right". But you can set "only left"
> and "only right". These put the content left and right respectively
> regardless of the page number.
> You will likely need a first page style (without footer), a left page style
> and a right page style. To get an automatic change between right and left,
> you set "Next style" reciprocally.


I just tried to do this
1. In a new document change page style to rigth
2. Insert manual page break with page style left and page number 1

Result: Information "Page numbers conot be applied to the current page. Even numbers can be used on left pages and odd numbers on right pages." pops up. So there is no way to avoid the odd pages right rule

So I want to propose the following improvement: If someone inserts page break and restarts numbering there will pop ub an information like "Odd pages are always right pages. Writer will insert a hidden page automatically if necssary"

And (independend of an improvement and as written in comment 5 of bug 126284) we need a documentation of that issue.
Comment 21 Heiko Tietze 2020-02-18 09:23:35 UTC
(In reply to Dieter from comment #20)
> pop ub an information like "Odd pages are always right pages. Writer will 
> insert a hidden page automatically if necssary"

Those info boxes break the workflow and are annoying. We should rather block the ability to use even/odd numbers depending on the page style. And perhaps use a static text about the blank pages in the dialog.
Comment 22 Cor Nouws 2020-02-25 08:23:28 UTC
(In reply to Heiko Tietze from comment #21)
> (In reply to Dieter from comment #20)
> > pop ub an information like "Odd pages are always right pages. Writer will 
> > insert a hidden page automatically if necssary"
> 
> Those info boxes break the workflow and are annoying. We should rather block
For this specific case, that doesn't happen every 5 minutes either, it is extremely useful and I suggest we appreciate the thoughtful and precise study and comments of the various members in this report.
And possibly add a "[] do not show this message again" to the box.
Comment 23 Mike Kaganski 2020-02-26 12:21:19 UTC
Doesn't https://git.libreoffice.org/core/commit/da4f9ff1cfeeeb4f04bb943e94db86887b5c9f58 solve this?
Comment 24 Heiko Tietze 2020-02-27 14:28:08 UTC
Needinfo because of Mike's comment 23
Comment 25 A.Holtsmark 2020-02-28 10:43:56 UTC
(In reply to Dieter from comment #20)
> So I want to propose the following improvement: If someone inserts page
> break and restarts numbering there will pop ub an information like "Odd
> pages are always right pages. Writer will insert a hidden page automatically
> if necssary"
> 
> And (independend of an improvement and as written in comment 5 of bug
> 126284) we need a documentation of that issue.

Thank you for picking up on the old, but (to me) still relevant bug.
However, please note that adding pop up information boxes will not solve the underlying problem of writer insisting on all No. 1 pages being right-hand pages. In my opinion this is an un-needed limitation of the program, which limits the usefulness of what is otherwise an excellent application.
Comment 26 QA Administrators 2020-02-29 03:03:20 UTC Comment hidden (obsolete)
Comment 27 Heiko Tietze 2020-02-29 09:16:11 UTC
(In reply to A.Holtsmark from comment #25)
> However, please note that adding pop up information boxes will not solve the
> underlying problem of writer...

Could you please test with a nightly build? https://dev-builds.libreoffice.org/daily/master/current.html
Comment 28 Regina Henschel 2020-05-31 12:47:41 UTC
LibreOffice 7 suppresses empty pages as start of document and allows to start a document with page number 0. Please test it.
Comment 29 A.Holtsmark 2020-06-02 11:25:50 UTC
Created attachment 161515 [details]
Screenshots of described behaviour
Comment 30 A.Holtsmark 2020-06-02 11:26:31 UTC
Created attachment 161516 [details]
Screenshots of described behaviour
Comment 31 A.Holtsmark 2020-06-02 11:27:18 UTC
Created attachment 161517 [details]
Screenshots of described behaviour
Comment 32 A.Holtsmark 2020-06-02 11:31:12 UTC
Tried working with one of the relevant documents in 7.0
In Book mode, the first page is correctly positioned on the right-hand side of the screen (see screenshot No.1)
However, Writer still inserted a blank page whenever the page numbering is reset to 1 on what is supposed to be a left-hand page (see schreenshot No. 2).

With "book mode" un-checked, writer firmly dumps the furst page on the left-hand side of the screen, even if the page is formatted as a right-hand page (see screenshot No. 3)

Close, but no banana :/
Comment 33 QA Administrators 2020-06-03 03:49:11 UTC Comment hidden (obsolete)
Comment 34 Heiko Tietze 2020-06-04 13:34:03 UTC
(In reply to A.Holtsmark from comment #32)
> However, Writer still inserted a blank page whenever the page numbering is
> reset to 1 on what is supposed to be a left-hand page (see schreenshot No.
> 2).

I suggest to create a new ticket for remaining bugs and close this enhancement request.
Comment 35 A.Holtsmark 2020-06-04 13:47:56 UTC
(In reply to Heiko Tietze from comment #34)
> I suggest to create a new ticket for remaining bugs and close this
> enhancement request.

Why should a new ticket be created when the original bug / enhancement still remains >in full<?
7.0 releves some other issues, but not the issue reported in this ticket.

The basic issue is that when viewing a document in book mode, the first page will be correctly be displayed on the right-hand side, but all subsequent page numbering resets to one will force the insertion of blank pages in order to push these pages to the right. When ot using book mode, no blank pages are inserted, but the first page is displayed on the left-hand side, making what you see on the screen not match up with the printed product.

This problem has existed since well before this ticket was created, and it still remains with no improvement in sight. 
Two solutions have been suggested: 
1: Make it possible to suppress the automatic insertion of blank pages when viewing in book form
2: Make it possible to move the first page to the right-hand side when viewing with "book mode" unchecked.
Neither have been implemented.
Comment 36 Heiko Tietze 2020-06-04 13:53:23 UTC Comment hidden (off-topic)